Package: org.codehaus.groovy.tools.shell

## [Groovy] Class ComplexCommandSupport

- org.codehaus.groovy.tools.shell.ComplexCommandSupport

- Support for more complex commands.

  Authors:
    Jason Dillon

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected String` | `defaultFunction` |
    `protected List<String>` | `functions` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class CommandSupport` | `NEWLINE, io, log, messages, registry, shell`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `def` | `do_all`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ComplexCommandSupport (Groovysh shell, String name, String shortcut, List<String> comFunctions)`
    `ComplexCommandSupport (Groovysh shell, String name, String shortcut, List<String> comFunctions, String defaultFunction)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected List` | `createCompleters()`
    `Object` | `execute(List<String> args)`
    `protected def` | `executeFunction(String fname, List<String> args)`
    `List<String>` | `getFunctions()`
    `protected Closure` | `loadFunction(String name)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class CommandSupport` | `alias, assertNoArguments, createCompleters, fail, fail, getBinding, getBuffer, getBuffers, getClassLoader, getCompleter, getDescription, getHelp, getHistory, getImports, getUsage, getVariables`

- - ### Field Detail

    - #### protected String defaultFunction

    - #### protected List<String> functions

  - ### Property Detail

    - #### def do_all

  - ### Constructor Detail

    - #### ComplexCommandSupport(Groovysh shell, String name, String shortcut, List<String> comFunctions)

    - #### ComplexCommandSupport(Groovysh shell, String name, String shortcut, List<String> comFunctions, String defaultFunction)

  - ### Method Detail

    - #### protected List createCompleters()

    - #### Object execute(List<String> args)

    - #### protected def executeFunction(String fname, List<String> args)

    - #### List<String> getFunctions()

    - #### protected Closure loadFunction(String name)